# Simulations #

This folder provides three spatially resolved simulations. There are two graph-ODE (or metapopulation) models using one ODE model for each county and realizing inter-county mobility via a graph approach. An agent-based model (abm) using German statistical data is also included.
The Parameters `TimeExposed` and `TimeInfectedNoSymptoms` can be derived from the serial interval and incubation period, as delineated by Khailaie and Mitra et al. (https://doi.org/10.1186/s12916-020-01884-4).

- 2020_npis_wildtype: Focus on a SECIR model using parameters for Sars-CoV-2 wild type variant and
implementing static nonpharmaceutical interventions (NPIs) as well as dynamic NPIs. Dynamic NPIs
get into play once predefined incidence thresholds (50 and 200) are exceeded.

- 2021_vaccination_delta: Extending the model of 2020_npis_wildtype by vaccination and reinfection and
considering the effect of vaccination in combination with the lifting of NPIs during the arrival of Delta.
The data which is necessary to run these simulations is generated by the MEmilio epidata package.
This can be done by calling the particular python routines manually or by running the `data_generation.sh` shell script.
The shell script assumes the existence of a python environment and only the path activation function of the environment 
must be given to the script. The path can either be set in the script or by calling the script directly with the option
"-PATH_ENV YOUR_PATH_TO_VIRTUAL_ENV/ACTIVATION_EXEC".
The script needs to be executed from the `simulations` folder directly by `./data_generation.sh`.

- abm: An agent-based model using statistical data taken from Destatis (https://www-genesis.destatis.de/genesis/online?operation=statistic&levelindex=0&levelid=1627908577036&code=12211#abreadcrumb).